Bug 257772 - AssertionError at com.sun.tools.javac.util.Assert.error
AssertionError at com.sun.tools.javac.util.Assert.error
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.2
All All
: P2 with 1 vote (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-30 08:45 UTC by _ gtzabari
Modified: 2017-06-13 02:48 UTC (History)
11 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (11.01 KB, text/plain)
2016-01-30 08:46 UTC, _ gtzabari
Details
stacktrace (11.01 KB, text/plain)
2016-02-09 15:01 UTC, Jiri Prox
Details
stacktrace (8.66 KB, text/plain)
2016-02-09 15:04 UTC, Jiri Prox
Details
stacktrace (9.64 KB, text/plain)
2016-02-23 15:17 UTC, muellermi
Details
stacktrace (9.53 KB, text/plain)
2016-05-09 13:45 UTC, muellermi
Details
stacktrace (9.54 KB, text/plain)
2016-05-09 13:48 UTC, muellermi
Details
stacktrace (9.54 KB, text/plain)
2016-09-15 14:15 UTC, markiewb
Details
stacktrace (9.67 KB, text/plain)
2016-09-15 14:18 UTC, markiewb
Details
stacktrace (8.77 KB, text/plain)
2016-11-05 02:46 UTC, misterm
Details
stacktrace (7.91 KB, text/plain)
2017-05-20 16:52 UTC, everflux
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ gtzabari 2016-01-30 08:45:59 UTC
Build: NetBeans IDE Dev (Build 201601210002)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.71-b15, Java(TM) SE Runtime Environment, 1.8.0_71-b15
OS: Windows 10

User Comments:
gtzabari: Saved Java file. Exception thrown.




Stacktrace: 
java.lang.AssertionError
   at com.sun.tools.javac.util.Assert.error(Assert.java:155)
   at com.sun.tools.javac.util.Assert.check(Assert.java:46)
   at com.sun.tools.javac.comp.DeferredAttr$4.complete(DeferredAttr.java:340)
   at com.sun.tools.javac.comp.ArgumentAttr$ArgumentType.complete(ArgumentAttr.java:361)
   at com.sun.tools.javac.comp.DeferredAttr$DeferredType.check(DeferredAttr.java:302)
   at com.sun.tools.javac.comp.DeferredAttr$DeferredType.check(DeferredAttr.java:289)
Comment 1 _ gtzabari 2016-01-30 08:46:00 UTC
Created attachment 158304 [details]
stacktrace
Comment 2 Jiri Prox 2016-02-09 15:01:48 UTC
Created attachment 158438 [details]
stacktrace

AE when opening java file
Comment 3 Jiri Prox 2016-02-09 15:04:48 UTC
Created attachment 158439 [details]
stacktrace

AE when invoking code completion in following file:

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package javaapplication32;

import java.util.Set;
import java.util.stream.IntStream;

/**
 *
 * @author jprox
 */
public class NewClass {

    public void n() {
        Set<Integer> values = IntStream.range(1, 5).map(value -> {
            return 5;
        }.
                collect(Collectors.toSet());
    }

}
Comment 4 muellermi 2016-02-23 15:17:19 UTC
Created attachment 158617 [details]
stacktrace

editing source file
Comment 5 muellermi 2016-05-09 13:45:27 UTC
Created attachment 159584 [details]
stacktrace

edit Java source
Comment 6 muellermi 2016-05-09 13:48:27 UTC
Created attachment 159585 [details]
stacktrace

invoke autocompletion (ctrl+space)
Comment 7 Exceptions Reporter 2016-07-25 16:37:08 UTC
This bug already has 10 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=222309
Comment 8 markiewb 2016-09-15 14:15:51 UTC
Created attachment 162060 [details]
stacktrace

Codecompletion
Comment 9 markiewb 2016-09-15 14:18:51 UTC
Created attachment 162061 [details]
stacktrace

Codecompletion while errors in lambda

Collections.sort(list, (x, y) -> x.getGasRate().compareTo(y.getGasRate()))
//Remark: getGasRate() is a double, which leads to this error
Comment 10 misterm 2016-11-05 02:46:28 UTC
Created attachment 162792 [details]
stacktrace

Code completion
Comment 11 everflux 2017-05-20 16:52:20 UTC
Created attachment 164360 [details]
stacktrace

worked on a vertx java project
Comment 12 _ gtzabari 2017-06-05 17:54:47 UTC
Increased priority because this issue prevents Netbeans from interacting with classes that cannot be parsed.
Comment 14 Quality Engineering 2017-06-13 02:48:23 UTC
Integrated into 'main-silver', will be available in build *201706130001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/fcf7f2a2d07a
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #257772 - AssertionError at com.sun.tools.javac.util.Assert.error - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo